#include <iostream>
using namespace std;

int A[1000010];

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);

	int N;
	int idNajvece=0,idDrugeNajvece=1;

	cin >> N;

	for (int i = 0; i < N; i++)
	{
		cin >> A[i];
	}

	if (N == 2)
	{
		cout << A[1] << " " << A[0];
	}
	else if (N == 3)
	{
		if(A[0]>A[1]&&A[0]>A[2])
			cout << A[0] << " " << A[2]<<" "<< A[1];
		else if (A[1] > A[0] && A[1] > A[2])
			cout << A[1] << " " << A[0] << " " << A[2];
		else 
			cout << A[2] << " " << A[1] << " " << A[0];

	}
	else
	{
		for (int i = 1; i < N; i++)
		{
			if (A[i] > A[idNajvece])
			{
				idNajvece = i;
			}
			else if (A[i] > A[idDrugeNajvece])
			{
				idDrugeNajvece = i;
			}

		}

		if (idNajvece == 0)
		{
			cout << A[idNajvece] << " ";
			cout << A[idDrugeNajvece] << " ";
			for (int i = 0; i < N; i++)
			{
				if (i != idDrugeNajvece && i != idNajvece)
					cout << A[i] << " ";
			}
		}
		else
		{
			cout << A[idNajvece] << " ";
			for (int i = 0; i < N; i++)
			{
				if (i != idNajvece)
					cout << A[i] << " ";
			}
		}
	}
	


	return 0;
}